| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
INTuple Class Referenceabstract

NTuple interface class definition. More...

`#include <GaudiKernel/INTuple.h>`

Inheritance diagram for INTuple:
[legend]

## Public Types
typedef std::vector< INTupleItem * > | ItemContainer

## Public Member Functions
virtual ItemContainer & | items ()=0
| Access item container. More...
virtual const ItemContainer & | items () const =0
| Access item container (CONST) More...
virtual char * | setBuffer (char *buff)=0
| Attach data buffer. More...
virtual const char * | buffer () const =0
| Access data buffer (CONST) More...
virtual char * | buffer ()=0
| Access data buffer. More...
virtual const std::string & | title () const =0
| Object title. More...
virtual void | reset ()=0
| Reset all entries to their default values. More...
virtual const INTupleItem * | find (const std::string &name) const =0
| Find an item row of the Ntuple (CONST) More...
virtual INTupleItem * | find (const std::string &name)=0
| Find an item row of the Ntuple. More...
virtual StatusCode | add (INTupleItem *item)=0
| Add an item row to the N tuple. More...
virtual StatusCode | remove (INTupleItem *item)=0
| Remove an item row (identified by pointer) from the N tuple. More...
virtual StatusCode | remove (const std::string &name)=0
| Remove an item row (identified by name) from the N tuple. More...
virtual StatusCode | attachSelector (ISelectStatement *sel)=0
| Attach selector. More...
virtual ISelectStatement * | selector ()=0
| Access selector. More...
virtual StatusCode | write ()=0
| Write record of the NTuple (Shortcut of writeRecord) More...
virtual StatusCode | writeRecord ()=0
| Write record of the NTuple. More...
virtual StatusCode | read ()=0
| Read record of the NTuple (Shortcut of readRecord) More...
virtual StatusCode | readRecord ()=0
| Read record of the NTuple. More...
virtual StatusCode | save ()=0
| Save the NTuple. More...
virtual | ~INTuple ()=default

## Protected Member Functions
virtual INTupleItem * | i_find (const std::string &name) const =0
| Internally used by abstract classes. More...

## Detailed Description

NTuple interface class definition.

Definition of the interface to an Ntuple class beeing a sequence(=Item) of data entries.

Author
  M.Frank

Definition at line 79 of file INTuple.h.

## Member Typedef Documentation

typedef std::vector< INTupleItem* > INTuple::ItemContainer

Definition at line 85 of file INTuple.h.

## Constructor & Destructor Documentation

virtual INTuple::~INTuple | ( |  | ) |
| virtual default

## Member Function Documentation

virtual StatusCode INTuple::add | ( | INTupleItem * | item | ) |
| pure virtual

Add an item row to the N tuple.

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::attachSelector | ( | ISelectStatement * | sel | ) |
| pure virtual

Attach selector.

Implemented in NTuple::TupleImp.

virtual const char* INTuple::buffer | ( |  | ) | const
| pure virtual

Access data buffer (CONST)

Implemented in NTuple::TupleImp.

virtual char* INTuple::buffer | ( |  | ) |
| pure virtual

Access data buffer.

Implemented in NTuple::TupleImp.

virtual const INTupleItem* INTuple::find | ( | const std::string & | name | ) | const
| pure virtual

Find an item row of the Ntuple (CONST)

Implemented in NTuple::TupleImp.

virtual INTupleItem* INTuple::find | ( | const std::string & | name | ) |
| pure virtual

Find an item row of the Ntuple.

Implemented in NTuple::TupleImp.

virtual INTupleItem* INTuple::i_find | ( | const std::string & | name | ) | const
| protected pure virtual

Internally used by abstract classes.

Implemented in NTuple::TupleImp.

virtual ItemContainer& INTuple::items | ( |  | ) |
| pure virtual

Access item container.

Implemented in NTuple::TupleImp.

virtual const ItemContainer& INTuple::items | ( |  | ) | const
| pure virtual

Access item container (CONST)

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::read | ( |  | ) |
| pure virtual

Read record of the NTuple (Shortcut of readRecord)

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::readRecord | ( |  | ) |
| pure virtual

Read record of the NTuple.

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::remove | ( | INTupleItem * | item | ) |
| pure virtual

Remove an item row (identified by pointer) from the N tuple.

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::remove | ( | const std::string & | name | ) |
| pure virtual

Remove an item row (identified by name) from the N tuple.

Implemented in NTuple::TupleImp.

virtual void INTuple::reset | ( |  | ) |
| pure virtual

Reset all entries to their default values.

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::save | ( |  | ) |
| pure virtual

Save the NTuple.

Implemented in NTuple::TupleImp.

virtual ISelectStatement* INTuple::selector | ( |  | ) |
| pure virtual

Access selector.

Implemented in NTuple::TupleImp.

virtual char* INTuple::setBuffer | ( | char * | buff | ) |
| pure virtual

Attach data buffer.

Implemented in NTuple::TupleImp.

virtual const std::string& INTuple::title | ( |  | ) | const
| pure virtual

Object title.

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::write | ( |  | ) |
| pure virtual

Write record of the NTuple (Shortcut of writeRecord)

Implemented in NTuple::TupleImp.

virtual StatusCode INTuple::writeRecord | ( |  | ) |
| pure virtual

Write record of the NTuple.

Implemented in NTuple::TupleImp.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/INTuple.h